MyGUI 3.2.2

Public Member Functions
MyGUI::DataFileStream Class Reference

`#include <MyGUI_DataFileStream.h>`

Inheritance diagram for MyGUI::DataFileStream:
[legend]

## Public Member Functions
| DataFileStream ()
| DataFileStream (std::ifstream *_stream)
virtual | ~DataFileStream ()
Public Member Functions inherited from MyGUI::DataStream
| DataStream ()
| DataStream (std::istream *_stream)
virtual | ~DataStream ()
virtual bool | eof ()
virtual size_t | size ()
virtual void | readline (std::string &_source, Char _delim)
virtual size_t | read (void *_buf, size_t _count)
Public Member Functions inherited from MyGUI::IDataStream
virtual | ~IDataStream ()

## Additional Inherited Members
Protected Attributes inherited from MyGUI::DataStream
std::istream * | mStream
size_t | mSize

## Detailed Description

Definition at line 16 of file MyGUI_DataFileStream.h.

## Constructor & Destructor Documentation

## ◆ DataFileStream() [1/2]

MyGUI::DataFileStream::DataFileStream | ( |  | ) |

Definition at line 13 of file MyGUI_DataFileStream.cpp.

## ◆ DataFileStream() [2/2]

MyGUI::DataFileStream::DataFileStream | ( | std::ifstream * | _stream | ) |

Definition at line 19 of file MyGUI_DataFileStream.cpp.

## ◆ ~DataFileStream()

MyGUI::DataFileStream::~DataFileStream | ( |  | ) |
| virtual

Definition at line 25 of file MyGUI_DataFileStream.cpp.

The documentation for this class was generated from the following files:

- MyGUI_DataFileStream.h
- MyGUI_DataFileStream.cpp